Bug 7962 - Cart missing from result lists
Summary: Cart missing from result lists
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-14 11:27 UTC by Katrin Fischer
Modified: 2013-12-05 20:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
[PATCH] Bug 7962 - Cart missing from result lists (1.94 KB, patch)
2012-04-15 20:50 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7962 - Cart missing from result lists (1.97 KB, patch)
2012-04-15 23:44 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7962 - Cart missing from result lists (2.07 KB, patch)
2012-04-16 04:34 UTC, Mason James
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-04-14 11:27:57 UTC
Cart button is not shown above result lists in OPAC any longer. FireBug shows a JavaScript error:

$("#cartmenulink").hoverIntent is not a function
Comment 1 Owen Leonard 2012-04-14 21:22:21 UTC
17:20 ~/kohaclone ((7eef4c8...) %|BISECTING)$ git bisect bad
7eef4c8c700dc81e8ab2fd28486162ff7db35ede is the first bad commit
commit 7eef4c8c700dc81e8ab2fd28486162ff7db35ede

Bug 5668 - Star ratings in the opac
Comment 2 Chris Cormack 2012-04-14 21:23:55 UTC
Excellent use of git bisect Owen!
Comment 3 Chris Cormack 2012-04-15 10:21:44 UTC
Hmmm it is now trying to load jquery twice, could that be the problem?
Comment 4 Owen Leonard 2012-04-15 20:50:00 UTC Comment hidden (obsolete)
Comment 5 Nicole C. Engard 2012-04-15 23:44:25 UTC Comment hidden (obsolete)
Comment 6 Mason James 2012-04-16 04:34:01 UTC
Created attachment 9215 [details] [review]
Bug 7962 - Cart missing from result lists

Removing duplicate inclusion of jQuery on the results page
which was added with the star ratings feature. Koha already
uses jQuery by default.

I have also made the inclusion of ratings JS and CSS dependent
on ratings being turned on.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Signed-off-by: Mason James <mtj at kohaaloha.com>
Comment 7 Ian Walls 2012-04-16 14:58:30 UTC
Template only change removes duplicate include, and conditionalizes a script and a CSS include based on actual usage.  Marking Passed QA.
Comment 8 Jared Camins-Esakov 2012-12-31 00:53:31 UTC
There have been no further reports of problems so I am marking this bug resolved.